Db2Container (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.db2.Db2Container interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.db2
Interface Db2Container

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Db2Container

extends LogicalElement

Represents a container (physical device)for DB2.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  DBTCONT
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getContainerId()`
`StorageExtent[]` | `getDevices()`
`FileSystem[]` | `getFileSystems()`
`java.lang.String` | `getName()`
`long` | `getNumPages()`
`int` | `getPageSize()`
`Db2TableSpace` | `getParent()`
`java.lang.String` | `getPartitionGroup()`
`java.lang.String` | `getType()`
`boolean` | `hasContainerId()`
`boolean` | `hasDevices()`
`boolean` | `hasFileSystems()`
`boolean` | `hasName()`
`boolean` | `hasNumPages()`
`boolean` | `hasPageSize()`
`boolean` | `hasParent()`
`boolean` | `hasPartitionGroup()`
`boolean` | `hasType()`
`void` | `setContainerId(int x)`
`void` | `setDevices(StorageExtent[] x)`
`void` | `setFileSystems(FileSystem[] x)`
`void` | `setName(java.lang.String x)`
`void` | `setNumPages(long x)`
`void` | `setPageSize(int x)`
`void` | `setParent(Db2TableSpace x)`
`void` | `setPartitionGroup(java.lang.String x)`
`void` | `setType(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDevices

    StorageExtent[] getDevices()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setDevices

    void setDevices(StorageExtent[] x)

### hasDevices

    boolean hasDevices()

### getFileSystems

    FileSystem[] getFileSystems()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setFileSystems

    void setFileSystems(FileSystem[] x)

### hasFileSystems

    boolean hasFileSystems()

### getParent

    Db2TableSpace getParent()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(Db2TableSpace x)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getPageSize

    int getPageSize()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPageSize

    void setPageSize(int x)

### hasPageSize

    boolean hasPageSize()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String x)

### hasType

    boolean hasType()

### getPartitionGroup

    java.lang.String getPartitionGroup()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPartitionGroup

    void setPartitionGroup(java.lang.String x)

### hasPartitionGroup

    boolean hasPartitionGroup()

### getContainerId

    int getContainerId()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setContainerId

    void setContainerId(int x)

### hasContainerId

    boolean hasContainerId()

### getNumPages

    long getNumPages()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumPages

    void setNumPages(long x)

### hasNumPages

    boolean hasNumPages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD